Subject: Re: git-stash: RFC: Adopt the default behavior to other commands

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Dec 2007 14:22:45 -0800

Jörg Sommer <[email-masked]> writes:

> When it should go quick why don't use an alias. git stash can print the
> list and everyone who wants a quick stash can create an alias for this.

You are taking this completely backwards.  The stash mechanism is all
about creating a quickie temporary pair of commits.  Anybody who wants
otherwise can use alias or choose not to use stash at all.